Package io.flutter.util

## Class TraceSection

- java.lang.Object
- - io.flutter.util.TraceSection

-     public final class TraceSection
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TraceSection()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `begin​(String sectionName)` | Wraps Trace.beginSection to ensure that the line length stays below 127 code units.
    `static void` | `beginAsyncSection​(String sectionName, int cookie)` | Wraps Trace.beginAsyncSection to ensure that the line length stays below 127 code units.
    `static void` | `end()` | Wraps Trace.endSection.
    `static void` | `endAsyncSection​(String sectionName, int cookie)` | Wraps Trace.endAsyncSection to ensure that the line length stays below 127 code units.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraceSection

          public TraceSection()

  - ### Method Detail

    - #### begin

          public static void begin​(@NonNull
                                   String sectionName)

      Wraps Trace.beginSection to ensure that the line length stays below 127 code units.
      Parameters:
        `sectionName` - The string to display as the section name in the trace.

    - #### end

          public static void end()
                          throws RuntimeException

      Wraps Trace.endSection.
      Throws:
        `RuntimeException`

    - #### beginAsyncSection

          public static void beginAsyncSection​(String sectionName,
                                               int cookie)

      Wraps Trace.beginAsyncSection to ensure that the line length stays below 127 code units.
      Parameters:
        `sectionName` - The string to display as the section name in the trace.
        `cookie` - Unique integer defining the section.

    - #### endAsyncSection

          public static void endAsyncSection​(String sectionName,
                                             int cookie)

      Wraps Trace.endAsyncSection to ensure that the line length stays below 127 code units.